package com.abi.task.common.api.base;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.util.List;

/**
 * @author:史良兵
 * @Date:2020/11/23 13:13
 * @Description: 分页返回包装类
 */
@Data
@ToString
@ApiModel
public class BasePageResp<T extends Object> extends PageResp{

    @ApiModelProperty(value = "数据")
    protected List<T> content;

    public BasePageResp() { }

    public BasePageResp(PageReq pageReq) {
        super(pageReq);
    }

    public BasePageResp(PageReq pageReq, Long totalNumber, List<T> content) {
        super(pageReq, totalNumber);
        this.content = content;
    }

}
