package com.abi.task.common.excel.preperties;


import com.abi.task.common.excel.common.AbstractExcelProperty;
import com.abi.task.common.excel.common.ExcelHeadAlias;
import lombok.Data;

/**
 * 活动
 * @author Andy.Tan
 */
@Data
public class DepartmentProperty implements AbstractExcelProperty {

    @ExcelHeadAlias(value = "部门id(必填)")
    private String deptCode;

    @ExcelHeadAlias(value = "部门名称(必填)")
    private String deptName;

    @ExcelHeadAlias(value = "部门url")
    private String deptUrl;

    @ExcelHeadAlias(value = "部门公众号")
    private String deptOfficialAccount;

    @ExcelHeadAlias(value = "描述")
    private String description;

}
