package com.abi.task.common.excel.preperties;


import com.abi.task.common.excel.common.AbstractExcelProperty;
import com.abi.task.common.excel.common.ExcelHeadAlias;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 活动
 * @author Andy.Tan
 */
@Data
public class MaterialProperty implements AbstractExcelProperty {

    @ExcelHeadAlias(value = "物料号（必填）")
    private String materialCode;

    @ExcelHeadAlias(value = "物料类型（必填）（枚举：罐盖、瓶盖、纸板箱）")
    private String materialType;

    @ExcelHeadAlias(value = "二维码（必填）（枚举：是、否）")
    private String hasQr;

    @ExcelHeadAlias(value = "活动（选填）")
    private String activeName;

    @ExcelHeadAlias(value = "描述（选填）")
    private String description;

}
