package com.abi.task.common.tablestore.common;

import com.alicloud.openservices.tablestore.model.Row;
import lombok.Data;
import lombok.ToString;

import java.util.List;

/**
 * 查询table store的入参
 * @author AndyTan
 */
@Data
@ToString
public class TableStoreRes<T extends TableStoreEntity> {

    /**
     * 总行数
     */
    private Long totalCount;

    /**
     * 行列表
     */
    private List<Row> rowList;

    /**
     * 对象列表
     */
    private List<T> entityList;



}
