package com.abi.task.common.tablestore.entity;

import com.abi.task.common.tablestore.common.TableStore;
import com.abi.task.common.tablestore.common.TableStoreEntity;
import com.abi.task.common.tablestore.common.TableStoreIndex;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@TableStore(tableName = "iqms_qr_code",primaryKeyName = "qrCode")
public class DemoEntity implements TableStoreEntity {

    private String qrCode;

    private Double payAmount;

    @TableStoreIndex(indexName = "index_current_time")
    private LocalDateTime currentTime;

    @TableStoreIndex(indexName = "index_user_id")
    private Long userId;

    private Integer activeCount;

    private Boolean isDog;

}
