package com.abi.qms.platform.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @className: com.abi.crm.annotation-> PassToken
 * @description: 不需要Token认证
 * @author: Marko.W
 * @createDate: 2021-05-18 11:10
 * @version: 1.0
 * @todo:
 */
@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface PassToken {
    boolean required() default true;
}