package com.abi.qms.platform.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @className: com.abi.crm.annotation-> UserLoginToken
 * @description: 需要登录才能进行操作的注解
 * @author: Marko.W
 * @createDate: 2021-05-18 11:16
 * @version: 1.0
 * @todo:
 */
@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface UserLoginToken {
    boolean required() default true;
}