package com.abi.qms.platform.dao.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 码库流水号 对象 qr_repertory_serial_number
 *
 * @author WeiganCai
 * @date 2021-04-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class QrRepertorySerialNumber {

	@ApiModelProperty("码库流水号id")
	private Long id;

	@ApiModelProperty("码库id")
	private Long qrRepertoryId;

	@ApiModelProperty("码库的列id")
	private Long qrRepertoryColumnId;

	@ApiModelProperty("子下标")
	private Integer childIndex;

	@ApiModelProperty("流水号构造类")
	private String serialBuildClass;

	@ApiModelProperty("流水号")
	private Long serialNumber;

}
