package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.QrBoxCodeFormat;
import com.abi.qms.platform.dao.vo.result.QrBoxCodeFormatVO;
import com.abi.qms.platform.dto.req.ListBoxCodeFormatReq;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

/**
 * @author: fangxinjian
 * @date: 2021/04/20 09:51
 * @description: 箱码幅面mapper接口
 */
public interface QrBoxCodeFormatMapper extends BaseMapper<QrBoxCodeFormat> {

    /**
     * 分页查询箱码幅面信息
     *
     * @param page
     * @return
     */
    IPage<QrBoxCodeFormatVO> listBoxCodeFormat(IPage page, @Param("param") ListBoxCodeFormatReq param);

    /**
     * 根据ID查询详情信息
     *
     * @param id
     * @return
     */
    QrBoxCodeFormatVO selectBoxCodeFormatDetailById(@Param("id") Long id);
}