package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.QrPackageBatch;
import com.abi.qms.platform.dao.vo.result.QrPackageBatchVO;
import com.abi.qms.platform.dto.req.QrOnePackageBatchReq;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 码包批次表 Mapper 接口
 * </p>
 *
 * @author Andy.Tan
 */
public interface QrPackageBatchMapper extends BaseMapper<QrPackageBatch> {

    /**
     * 根据码包ID和批次号查询批次关联信息
     * @param req
     * @return
     */
    QrPackageBatchVO getQrPackageBatchOne(@Param("req") QrOnePackageBatchReq req);
}
