package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.QrRepertoryColumn;
import com.abi.qms.platform.dto.req.BatchInsertQrRepertoryColumnReq;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * 码库的列信息 Mapper接口
 *
 * @author WeiganCai
 * @date 2021-04-25
 */
public interface QrRepertoryColumnMapper extends BaseMapper<QrRepertoryColumn> {

    /**
     * 批量插入码库的列
     */
    int batchInsert(BatchInsertQrRepertoryColumnReq req);

    /**
     * 逻辑删除码库的列
     *
     * @param
     */
    void deleteByQrRepertoryId(@Param("qrRepertoryId") Long qrRepertoryId);
}
