package com.abi.qms.platform.dao.vo.result;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

/**
 * @author Eurus
 * @date 2021/5/26 17:41
 * @Description: 码活动关联码包返回
 */
@Data
@ApiModel
public class ActivePackageVO implements Serializable {

    @ApiModelProperty("码包id")
    private Long packageId;

    @ApiModelProperty("码类型 1-箱码 2-盖码")
    private Integer qrType;

    //603版 已作废
    /*@ApiModelProperty("sku名称")
    private String skuName;*/

    @ApiModelProperty("品牌名称")
    private String brandName;

    @ApiModelProperty("上级品牌名称")
    private String parentBrandName;

    @ApiModelProperty("码数量")
    private Long qrNumber;


}
