package com.abi.qms.platform.dao.vo.result;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author Eurus
 * @date 2021/6/9 17:22
 * @Description: 子账号查询映射结果(小程序)
 */
@Data
@ApiModel
public class ListSubAccountVO implements Serializable {

    @ApiModelProperty(value = "用户id")
    private Long id;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "工号")
    private String employeeNo;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "供应商id")
    private Long factoryId;

    @ApiModelProperty(value = "产线名称列表")
    private List<ListProductionLineNameVO> productionLineNameList;
}
