package com.abi.qms.platform.dao.vo.result;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author Eurus
 * @date 2021/5/27 16:00
 * @Description: 码活动未关联码包列表查询（通过所属品牌）
 */
@Data
@ApiModel
public class PackageActiveSearchVO implements Serializable {

    @ApiModelProperty("码包id")
    private Long packageId;

    @ApiModelProperty("码类型 1-箱码 2-盖码")
    private Integer qrType;

    @ApiModelProperty("sku名称")
    private String skuName;

    @ApiModelProperty("品牌名称")
    private String brandName;

    @ApiModelProperty("上级品牌名称")
    private String parentBrandName;

    @ApiModelProperty("码数量")
    private Long qrNumber;

    @ApiModelProperty("是否参与活动")
    private Integer isJoinActive;

    @ApiModelProperty("参与活动名称")
    private String activeName;

}
