package com.abi.qms.platform.dao.vo.result;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author Eurus
 * @date 2021/5/19 20:39
 * @Description: 码包批次信息对象 qr_package_batch
 */
@Data
@ApiModel
public class QrPackageBatchVO implements Serializable {

    @ApiModelProperty(value = "码包批次id")
    private Long id;

    @ApiModelProperty(value = "码包id")
    private Long packageId;

    @ApiModelProperty(value = "批次号")
    private String batchNumber;

    @ApiModelProperty(value = "批次内码数量")
    private Long batchQrNumber;
}
