package com.abi.qms.platform.dao.vo.result;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author: fangxinjian
 * @date: 2021/06/09 10:15
 * @description:
 */
@Data
@ApiModel
public class QrPackageWxVO implements Serializable {

    @ApiModelProperty(value = "码包ID")
    private Long packageId;

    @ApiModelProperty(value = "活动名称")
    private String activeName;

    @ApiModelProperty(value = "物料名称")
    private String materialName;

    @ApiModelProperty(value = "激活箱数")
    private Integer activeBoxCount;

    @ApiModelProperty(value = "箱码总数")
    private Integer totalBoxCount;
}
