package com.abi.qms.platform.dao.vo.result;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 码库的列 对象 qr_repertory_column
 *
 * @author WeiganCai
 * @date: 2021-04-26
 */
@Data
@ApiModel
public class QrRepertoryColumnVO {
    @ApiModelProperty("码库列id")
    private Long id;

    @ApiModelProperty("码库id")
    private Long qrRepertoryId;

    @ApiModelProperty("码格式id")
    private Long qrFormatId;

    @ApiModelProperty("码格式名称")
    private String qrFormatName;

    @ApiModelProperty("码格式")
    private QrFormatVO qrFormatVO;

    @ApiModelProperty("排序号")
    private Integer sortNumber;

    @ApiModelProperty("别名")
    private String alias;

    @ApiModelProperty("url格式类型 0-非URL 1-系统URL ")
    private Integer urlType;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人id")
    private Long createBy;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "修改人id")
    private Long updateBy;

}
