package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author: fangxinjian
 * @date: 2021/06/10 11:30
 * @description: 激活详情入参
 */
@Data
@ApiModel
public class ActivateDetailReq implements Serializable {

    @NotNull(message = "条码序号不能为空")
    @ApiModelProperty(value = "条码序号")
    private String boxCode;
}
