package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;
import lombok.Data;
import java.io.Serializable;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 活动入参
 */
@Data
@ApiModel
public class DisableActiveReq implements Serializable {

    @NotNull(message = "ID为空")
    @ApiModelProperty(value = "ids")
    private List<Long> ids;

}
