package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author: fangxinjian
 * @date: 2021/04/20 11:39
 * @description: 箱码幅面停用入参
 */
@Data
@ApiModel
public class DisableBoxCodeFormatReq implements Serializable {

    @NotNull(message = "ID为空")
    @ApiModelProperty(value = "ids")
    private List<Long> ids;
}
