package com.abi.qms.platform.dto.req;

import com.abi.task.common.api.base.PageReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 查询活动明细入参
 */
@Data
@ApiModel
public class GetActiveReq extends PageReq implements Serializable {

    @NotNull(message = "ID为空")
    @ApiModelProperty(value = "id")
    private Long id;

}
