package com.abi.qms.platform.dto.req;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Description: 单码查询code入参
 */
@Data
@Schema
public class GetQrSingleCheckDetailCodeReq {

    @NotNull(message = "code为空")
    @Schema(name = "qrCode")
    private String qrCode;
}
