package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 查询单个角色信息入参
 */
@Data
@ApiModel
public class GetRoleInfoReq implements Serializable {

  @NotNull(message = "角色code为空")
  @ApiModelProperty(value = "角色code")
  private String roleCode;

}
