package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 查询单个用户信息入参
 */
@Data
@ApiModel
public class GetUserInfoReq implements Serializable {

    @NotNull(message = "用户id为空")
    @ApiModelProperty(value = "用户id")
    private Long id;


}
