package com.abi.qms.platform.dto.req;

import com.abi.task.common.api.base.PageReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 部门查询分页入参
 */
@Data
@ApiModel
public class ListDeptReq extends PageReq implements Serializable {

    @ApiModelProperty(value = "部门名称")
    private String deptName;

    @ApiModelProperty(value = "是否有效 0-无效 1-有效")
    private Integer valid;


}
