package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author Eurus
 * @date 2021/5/11 19:36
 * @Description: 获取选择的上级角色对应的菜单/操作权限树 入参
 */
@Data
@ApiModel
public class ListResourceTreeBySelectRoleCodeReq  implements Serializable {

    @ApiModelProperty("是否需要转成树形结构 1-需要")
    private Integer isTree;

    @ApiModelProperty(value = "角色code")
    private String roleCode;

}
