package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author: KaixiangGuo
 * @date: 2021/05/28 11:31
 * @description: 查询码包批次号入参
 */
@Data
@ApiModel
public class QrOnePackageBatchReq implements Serializable {

    @ApiModelProperty(value = "码包id")
    private Long packageId;

    @ApiModelProperty(value = "批次号")
    private Long batchNumber;

}
