package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 部门新增修改入参
 */
@Data
@ApiModel
public class SaveDeptReq implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "部门id")
    private String deptCode;

    @ApiModelProperty(value = "部门名称")
    private String deptName;

    @ApiModelProperty(value = "部门url")
    private String deptUrl;

    @ApiModelProperty(value = "部门公众号")
    private String deptOfficialAccount;

    @ApiModelProperty(value = "描述")
    private String description;

}
