package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author Eurus
 * @date 2021/6/10 17:24
 * @Description: 查询子账号详情 出参
 */
@Data
@ApiModel
public class SubAccountDetailWxReq implements Serializable {

    @NotNull(message = "子账号不能为空")
    @ApiModelProperty(value = "子账号id")
    private Long id;
}
