package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author liguosong
 * @version 1.0
 * @date 2021/6/18 14:45
 */
@Data
@ApiModel
public class UpdateIsEncryptionReq {

    @NotNull(message = "ID为空")
    @ApiModelProperty(value = "供应商ID")
    private Long id;

    @NotNull(message = "码包加密状态为空")
    @ApiModelProperty(value = "生成码包加密类型 0-不加密 1-整个文件加密 2-单行加密")
    private Integer isQrCodeEncode;


}
