package com.abi.qms.platform.dto.req;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 编辑物料入参
 */
@Data
@Schema
public class UpdateMaterialReq implements Serializable {

    @Schema(name = "id")
    private Long id;

    @Schema(name = "物料类型: 4-瓶盖 5-纸板箱 6-塑箱")
    private Integer materialType;

    @Schema(name = "是否有二维码 0-没有 1-有")
    private Integer hasQr;

    @Schema(name = "是否有效 0-无效 1-有效")
    private Integer valid;

    @Schema(name = "描述")
    private String description;

    @Schema(name = "活动ID")
    private Long activeId;

}
