package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 修改用户入参
 */
@Data
@ApiModel
public class UpdateUserReq implements Serializable {

  @NotNull(message = "用户id为空")
  @ApiModelProperty(value = "用户id")
  private Long id;

  @ApiModelProperty(value = "邮箱")
  private String email;

  @ApiModelProperty(value = "手机号")
  private String phone;

  @ApiModelProperty(value = "供应商id")
  private Long factoryId;

    @ApiModelProperty(value = "角色code")
    private String roleCode;

}
