package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
  * 码类型查询出参
  * @author Liguosong
  * @date: 20210602
 */
@Data
@Schema
public class GetPackageCodeRes {

    @Schema(name = "包材厂id")
    private Long factoryCoverId;

    @Schema(name = "啤酒厂id")
    private Long factoryBeerId;

    @Schema(name = "包材厂名称")
    private String factoryCoverName;

    @Schema(name = "啤酒厂名称")
    private String factoryBeerName;

    @Schema(name = "是否一级包材厂")
    private Integer isFirstFactory;

    @Schema(name = "物料id")
    private Long materialId;

    @Schema(name = "物料类型: 3-罐盖 4-瓶盖 5-纸板箱")
    private Integer materialType;

    @Schema(name = "采购数量")
    private Long purchaseCount;

    @Schema(name = "码类型")
    private Integer qrType;

}
