package com.abi.qms.platform.dto.res;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 测试获取码包信息出参
 */
@Data
@Schema
public class GetQrPackageForTestRes implements Serializable {

    @Schema(name = "下载路径")
    private String downloadPath;

    @Schema(name = "下载压缩文件密码")
    private String zipPassword;

    @Schema(name = "短信密码")
    private String smsKey;

}
