package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 码库的列查询详情出参
 *
 * @author WeiganCai
 * @date: 2021-04-26
 */
@Data
@ApiModel
public class GetQrRepertoryColumnDetailRes implements Serializable {

	@ApiModelProperty("码库列id")
	private Long id;

	@ApiModelProperty("码库id")
	private Long qrRepertoryId;

	@ApiModelProperty("码格式id")
	private Long qrFormatId;

	@ApiModelProperty("码格式名称")
	private String qrFormatName;

	@ApiModelProperty("排序号")
	private Integer sortNumber;

	@ApiModelProperty("别名")
	private String alias;

	@ApiModelProperty("拆分数量")
	private Integer splitNum;

	@ApiModelProperty("url格式类型 0-非URL 1-系统URL")
	private Integer urlType;

	@ApiModelProperty("备注")
	private String remark;
}
