package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * 物料品牌使用量报表出参
 * @author guokaixiang
 * @date 2021年06月02日 16:26
 */
@Data
@ApiModel
public class ListMaterialCodeRankingReportRes implements Serializable {

    @ApiModelProperty("品牌使用码量占比列表")
    private List<MaterialCodeReportResBean> reportMaterialCodeRankingResList;

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListMaterialCodeRankingReportRes_MaterialCodeReportResBean")
    public static class MaterialCodeReportResBean implements Serializable {

        @ApiModelProperty("物料名称")
        private String materialName;

        @ApiModelProperty("码数量")
        private Long qrNumber;
    }
}
