package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 查询角色树出参
 */
@Data
@ApiModel
public class ListRoleTreeRes implements Serializable {

  @ApiModelProperty("角色列表")
  private List<RoleBean> roleBeanList;

    /**
     * 角色
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListRoleTreeRes_RoleBean")
    public static class RoleBean implements Serializable {

      @ApiModelProperty(value = "角色code")
      private String roleCode;

      @ApiModelProperty(value = "角色name")
      private String roleName;

    }

}
