package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 登录激活小程序出参
 */
@Data
@ApiModel
@Builder
public class LoginActivateRes implements Serializable {

  @ApiModelProperty("token")
  private String token;

  @ApiModelProperty("id")
  private Long id;

  @ApiModelProperty("是否主账号 1-是 0-不是（不是主账号就是子账号）")
  private Integer isMainAccount;

  @ApiModelProperty("啤酒厂id")
  private Long factoryId;

}
