package com.abi.qms.platform.dto.res;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

@Data
@ApiModel
public class PackageCodeTypeRes {

    @ApiModelProperty(value = "生成箱码数量")
    private Long createBoxNumber;

    @ApiModelProperty(value = "生成盖码数量")
    private Long createCapNumber;

    @ApiModelProperty("生成码数量同比")
    private double createPercent;

    @ApiModelProperty(value = "下载箱码数量")
    private Long loadBoxNumber;

    @ApiModelProperty(value = "下载盖码数量")
    private Long loadCapNumber;

    @ApiModelProperty("下载码数量同比")
    private double loadPercent;

    @ApiModelProperty(value = "激活箱码数量")
    private Long activateBoxNumber;

    @ApiModelProperty(value = "激活盖码数量")
    private Long activateCapNumber;

    @ApiModelProperty("激活码数量同比")
    private double activatePercent;

}
