package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author lu
 * @date 2021年06月09日 14:46
 */
@Data
@ApiModel
public class QueryListBreweryProductionLineRes implements Serializable {

    @ApiModelProperty("产线列表")
    private List<BreweryProductionLineBean> roleBeanList;

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "QueryListBreweryProductionLineRes_BreweryProductionLineBean")
    public static class BreweryProductionLineBean implements Serializable {

        @ApiModelProperty(value = "产线ID")
        private Long id;

        @ApiModelProperty(value = "产线名称")
        private String productionLineName;
    }
}
