//package com.abi.qms.platform.infrastructure.mq;
//
//import com.abi.qms.platform.dao.entity.QrPackage;
//import com.abi.qms.platform.dao.enums.QrPackageGenerateStatusEnum;
//import com.abi.qms.platform.service.GenerateCodeService;
//import com.abi.qms.platform.service.QrPackageService;
//import com.abi.task.common.api.exception.BusinessException;
//import lombok.SneakyThrows;
//import lombok.extern.slf4j.Slf4j;
//import org.apache.commons.lang3.StringUtils;
//import org.springframework.amqp.rabbit.annotation.RabbitHandler;
//import org.springframework.amqp.rabbit.annotation.RabbitListener;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Component;
//
///**
// * 生成码-消费者
// *
// * @author WeiganCai
// * @date: 2021-05-06
// */
//@Slf4j
//@Component
//public class GenerateCodeConsumer {
//
//	public static final String GENERATE_CODE_BY_REPERTORY_QUEUE = "generate_code_queue";
//
//	@Autowired
//	private GenerateCodeService generateCodeService;
//
//	@Autowired
//	private QrPackageService qrPackageService;
//
//	@SneakyThrows
//	@RabbitHandler
//	@RabbitListener(queues = GenerateCodeConsumer.GENERATE_CODE_BY_REPERTORY_QUEUE,ackMode = "AUTO")
//	public void onMessage(String id) {
//		//判断rabbit消息是否为空
//		if(StringUtils.isEmpty(id)){
//			throw new BusinessException("队列监听数据为空！");
//		}
//		try {
//			// 生成码
//			generateCodeService.generateQrCode(Long.parseLong(id));
//		} catch (Exception e) {
//			log.error("生成码失败", e);
//			// 回滚
//			QrPackage qrPackage = new QrPackage();
//			qrPackage.setId(Long.parseLong(id));
//			qrPackage.setGenerateStatus(QrPackageGenerateStatusEnum.GENERATE_FAIL.getCode());
//			qrPackageService.failedRollback(qrPackage);
//		}
//	}
//}
