package com.abi.qms.platform.infrastructure.qr.build.children;

import com.abi.qms.platform.infrastructure.qr.build.parent.TimeBuildCode;

import java.util.Calendar;
import java.util.Map;

/**
 * 当前时间取小时
 *
 * @author WeiganCai
 * @date: 2021-04-19
 */
public class HHBuildCode extends TimeBuildCode {

    @Override
    public String buildCode(Map<String, Object> paramMap) {
        int hourOfDay = getCalendar().get(Calendar.HOUR_OF_DAY);
        // 不足2位补0
        return String.format("%02d", hourOfDay);
    }

}
