package com.abi.qms.platform.infrastructure.qr.build.children;

import com.abi.qms.platform.infrastructure.qr.build.parent.TimeBuildCode;

import java.util.Calendar;
import java.util.Map;

/**
 * 当前月份
 *
 * @author WeiganCai
 * @date: 2021-04-19
 */
public class M2BuildCode extends TimeBuildCode {

    @Override
    public String buildCode(Map<String, Object> paramMap) {
        int month = getCalendar().get(Calendar.MONTH);
        // 不足2位补0
        return String.format("%02d", month);
    }

}
