package com.abi.qms.platform.infrastructure.qr.build.children;

import com.abi.qms.platform.infrastructure.qr.build.parent.TimeBuildCode;

import java.util.Calendar;
import java.util.Map;

/**
 * 当前季度
 *
 * @author WeiganCai
 * @date: 2021-04-19
 */
public class Q1BuildCode extends TimeBuildCode {

    @Override
    public String buildCode(Map<String, Object> paramMap) {
        int month = getCalendar().get(Calendar.MONTH) + 1;
        String quarter = null;
        if (month >= 1 && month <= 3){
            quarter = "1";
        }
        else if (month >= 4 && month <= 6){
            quarter = "2";
        }
        else if (month >= 7 && month <= 9){
            quarter = "3";
        }
        else if (month >= 10 && month <= 12){
            quarter = "4";
        }
        return quarter;
    }

}
