package com.abi.qms.platform.infrastructure.qr.build.children;

import com.abi.qms.platform.infrastructure.qr.build.parent.TimeBuildCode;

import java.util.Calendar;
import java.util.Map;

/**
 * 当前年份取最后1位
 *
 * @author WeiganCai
 * @date: 2021-04-19
 */
public class Y1BuildCode extends TimeBuildCode {

    @Override
    public String buildCode(Map<String, Object> paramMap) {
        String year = String.valueOf(getCalendar().get(Calendar.YEAR));
        return year.substring(year.length() - 1);
    }

    @Override
    public long getMaxCount(Map<String, Object> paramMap) {
        return 9 - Long.parseLong(buildCode(paramMap)) + 1;
    }

}
