package com.abi.qms.platform.infrastructure.qr.build.children;


import com.abi.qms.platform.infrastructure.qr.build.parent.TimeBuildCode;

import java.util.Calendar;
import java.util.Map;

/**
 * 当前年的第【几】天
 *
 * @author WeiganCai
 * @date: 2021-04-19
 */
public class YD3BuildCode extends TimeBuildCode {

    @Override
    public String buildCode(Map<String, Object> paramMap) {
        int dayOfYear = getCalendar().get(Calendar.DAY_OF_YEAR);
        // 不足3位补0
        return String.format("%03d", dayOfYear);
    }

}
