package com.abi.qms.platform.infrastructure.util;

import java.util.UUID;

/**
 * @author Eurus
 * @date 2021/4/15 16:47
 */
public final class UUIDutils {
    public static String getUUID() {
        return UUID.randomUUID().toString().replace("-", "");
    }

    public static Integer getUUIDInInt() {
        Integer orderId = UUID.randomUUID().toString().hashCode();
        return orderId < 0 ? -orderId : orderId;
    }

    private UUIDutils() {
        throw new UnsupportedOperationException("This is a utility class and cannot be instantiated");
    }

}
