package com.abi.qms.platform.service;

import com.abi.qms.platform.dto.req.BatchImportOrganizationReq;

/**
 * @author: fangxinjian
 * @date: 2021/06/01 17:20
 * @description:
 */
public interface BaseSapOrganizationService {

    /**
     * 批量导入sap组织架构数据
     *
     * @param batchImportOrganizationReq
     */
    void batchImportOrganization(BatchImportOrganizationReq batchImportOrganizationReq);

    /**
     * 批量修改Sap组织架构数据
     *
     * @param batchImportOrganizationReq
     */
    void batchUpdateOrganization(BatchImportOrganizationReq batchImportOrganizationReq);
}