package com.abi.qms.platform.service;


import com.abi.qms.platform.dao.entity.BaseBrand;
import com.abi.qms.platform.dto.req.ListBrandForSelectReq;
import com.abi.qms.platform.dto.res.ListBrandForSelectRes;

/**
 * <p>
 * 品牌管理
 * </p>
 *
 * @author Andy.Tan
 */
public interface BrandService{

    /**
     * 获取品牌信息
     * @param brandCode
     * @return
     */
    BaseBrand getBrand(String brandCode);

    /**
     * 下拉选择品牌列表
     * @param listBrandForSelectReq
     * @return
     * @throws Exception
     */
    ListBrandForSelectRes listBrandForSelect(ListBrandForSelectReq listBrandForSelectReq) throws Exception;

}
