package com.abi.qms.platform.service;

import com.abi.qms.platform.dto.req.BatchImportPackageSapOrderReq;

/**
 * @author: fangxinjian
 * @date: 2021/06/04 17:39
 * @description:
 */
public interface QrPackageSapOrderService {

    /**
     * 批量导入sap码包订单数据
     *
     * @param batchImportPackageSapOrderReq
     */
    void batchImportPackageSapOrder(BatchImportPackageSapOrderReq batchImportPackageSapOrderReq);

    /**
     * 批量修改sap码包订单数据
     *
     * @param batchImportPackageSapOrderReq
     */
    void batchUpdatePackageSapOrder(BatchImportPackageSapOrderReq batchImportPackageSapOrderReq);
}