package com.abi.qms.platform.service;

import com.abi.qms.platform.dto.req.GetQrVariableDetailReq;
import com.abi.qms.platform.dto.req.ListQrVariableReq;
import com.abi.qms.platform.dto.req.PreviewQrVariableReq;
import com.abi.qms.platform.dto.res.GetQrVariableDetailRes;
import com.abi.qms.platform.dto.res.ListQrVariableRes;
import com.abi.qms.platform.dto.res.PreviewQrVariableRes;

/**
 * 码格式变量 Service接口
 *
 * @author WeiganCai
 * @date 2021-04-19
 */
public interface QrVariableService {

	/**
	 *  码格式变量查询分页
	 */
	ListQrVariableRes listQrVariable(ListQrVariableReq listQrVariableReq);

	/**
	 * 码格式变量生成码预览
	 */
	PreviewQrVariableRes previewQrVariable(PreviewQrVariableReq previewQrVariableReq);

	/**
	 * 码格式变量查询详情
	 */
	GetQrVariableDetailRes getQrVariableDetail(GetQrVariableDetailReq getQrVariableDetailReq);
}
