package com.abi.task.common.utils;

import java.util.ArrayList;
import java.util.List;

/**
 * 集合工具类
 * @author AndyTan
 */
public class ICollectionUtil {

    /**
     * 获取主列表与子列表的差集，即main-sub
     * @param mainList
     * @param subList
     * @param <T>
     * @return
     */
    public static <T> List<T> differenceList(List<T> mainList,List<T> subList){
        List<T> tempList = new ArrayList<>(mainList);
        tempList.removeAll(new ArrayList<>(subList));
        return tempList;
    }

}
