package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.BaseActiveQrPackageMapping;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 活动码包关联表 Mapper 接口
 * </p>
 *
 * @author Andy.Tan
 */
public interface BaseActiveQrPackageMappingMapper extends BaseMapper<BaseActiveQrPackageMapping> {

    int batchInsert(@Param("activeId") Long activeId, @Param("qrPackageIdList") List<Long> qrPackageIdList,@Param("createBy")Long createBy);
}
