package com.abi.qms.platform.dao.vo.result;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author Eurus
 * @date 2021/5/26 17:56
 * @Description: 码活动详情返回
 */
@Data
@ApiModel
public class ActiveDetailVO implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "活动code（即页面上的手输的活动id）")
    private String activeCode;

    @ApiModelProperty(value = "活动名称")
    private String activeName;

    @ApiModelProperty(value = "活动类型 1-utc 2-bof 3-品质信息")
    private Integer activeType;

    @ApiModelProperty(value = "活动域名")
    private String activeUrl;

    @ApiModelProperty(value = "活动开始日期")
    private LocalDateTime beginTime;

    @ApiModelProperty(value = "活动结束日期")
    private LocalDateTime endTime;

    @ApiModelProperty(value = "品牌code")
    private String brandCode;
}
