package com.abi.qms.platform.dao.vo.result;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author Eurus
 * @date 2021/5/31 15:54
 * @Description: 活动编辑申请码包关联子表 返回
 */
@Data
@ApiModel
public class ActiveModifyApplyPackageVO implements Serializable {

    @ApiModelProperty("码包id")
    private Long packageId;

    @ApiModelProperty("码类型 1-箱码 2-盖码")
    private Integer qrType;

    @ApiModelProperty("sku名称")
    private String skuName;

    @ApiModelProperty("品牌名称")
    private String brandName;

    @ApiModelProperty("上级品牌名称")
    private String parentBrandName;

    @ApiModelProperty("码数量")
    private Long qrNumber;

    @ApiModelProperty("修改类型: 1-新增 2-删除")
    private Integer modifyType;
}
