package com.abi.qms.platform.dao.vo.result;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author Eurus
 * @date 2021/6/1 11:05
 * @Description:
 */
@Data
@ApiModel
public class ListActiveVO implements Serializable {

    @ApiModelProperty(value = "码活动id")
    private Long id;

    @ApiModelProperty(value = "活动名称")
    private String activeName;

    @ApiModelProperty(value = "活动类型 1-utc 2-bof 3-品质信息")
    private Integer activeType;

    @ApiModelProperty(value = "码活动审核状态 1-待审核 2-通过 9-驳回")
    private Integer auditStatus;

    @ApiModelProperty(value = "申请单审核状态 1-待审核 2-通过 9-驳回")
    private Integer applyAuditStatus;

    @ApiModelProperty(value = "申请时间")
    private LocalDateTime applyTime;

    @ApiModelProperty(value = "申请人姓名")
    private String applyUserName;

    @ApiModelProperty(value = "活动开始日期")
    private LocalDateTime beginTime;

    @ApiModelProperty(value = "活动结束日期")
    private LocalDateTime endTime;

    @ApiModelProperty(value = "活动tab页 1-统一URL ")
    private Integer urlTab;

    @ApiModelProperty(value = "活动域名")
    private String activeUrl;

    @ApiModelProperty(value = "是否有效")
    private Integer valid;

    @ApiModelProperty(value = "有修改活动申请单 1-是 0-不是")
    private Integer isModifyApply;
}
