package com.abi.qms.platform.dao.vo.result;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 码包下载记录 对象 qr_package_download_record
 *
 * @author WeiganCai
 * @date: 2021-05-12
 */
@Data
@ApiModel
public class QrPackageDownloadRecordVO {
	@ApiModelProperty(value = "创建时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime createTime;

	@ApiModelProperty(value = "创建人名称")
	private String createByName;
}
