package com.abi.qms.platform.dao.vo.result;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ludashi
 * @date 2021年06月07日 18:24
 */
@Data
@ApiModel
public class ReservationOrderQueryVO implements Serializable {

    @ApiModelProperty("预订ID")
    private Long bookingOrderId;

    @ApiModelProperty("预订单号")
    private String bookingOrder;

    @ApiModelProperty("物料名称")
    private String materialName;

    @ApiModelProperty("码类型  1-箱码 2-盖码")
    private String qrType;

    @ApiModelProperty("物料采购数量")
    private String purchaseCount;

    @ApiModelProperty("包材厂")
    private String factoryName;

    @ApiModelProperty("是否一级包材厂")
    private Integer isFirstFactory;

    @ApiModelProperty(name = "包材厂id")
    private Long factoryCoverId;
}
