package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author: fangxinjian
 * @date: 2021/06/04 15:04
 * @description:
 */
@Data
@ApiModel
public class BatchImportCoverFactoryReq implements Serializable {

    @ApiModelProperty("sap导入新增供应商List")
    private List<BatchImportCoverFactory> batchImportCoverFactoryList;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "BatchImportCoverFactoryReq_BatchImportCoverFactory")
    public static class BatchImportCoverFactory implements Serializable {

        @ApiModelProperty(value = "sap供应商id")
        private String sapCoverFactoryId;

        @ApiModelProperty(value = "sap供应商名称")
        private String sapCoverFactoryName;

        @ApiModelProperty(value = "联系人姓名")
        private String keymanName;

        @ApiModelProperty(value = "联系人手机号")
        private String keymanMobile;

    }

}
