package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 禁用角色入参
 */
@Data
@ApiModel
public class DisableRoleReq implements Serializable {

  @NotNull(message = "角色code为空")
  @ApiModelProperty(value = "角色code列表")
  private List<String> roleCodeList;



}
