package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * 码格式启用入参
 *
 * @author WeiganCai
 * @date: 2021-04-22
 */
@Data
@ApiModel
public class EnableQrFormatReq implements Serializable {

	@NotNull(message = "id为空")
	@ApiModelProperty(value = "ids")
	private List<Long> ids;

}
