package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

/**
 * @author: fangxinjian
 * @date: 2021/05/27 11:23
 * @description: 生成条形码入参
 */
@Data
@ApiModel
public class GenerateBarCodeReq implements Serializable {

    @ApiModelProperty(value = "码包id")
    private Long packageId;

    @ApiModelProperty(value = "起始序号")
    private Long indexBegin;

    @ApiModelProperty(value = "结束序号")
    private Long indexEnd;

    @ApiModelProperty(value = "起始二维码")
    private String beginQrCode;

    @ApiModelProperty(value = "结束二维码")
    private String endQrCode;

    @ApiModelProperty(value = "项目号")
    private String projectNo;

    @ApiModelProperty(value = "版号")
    private String boardNo;

    @ApiModelProperty(value = "备注")
    private String remark;


}
