package com.abi.qms.platform.dto.req;

import com.abi.task.common.api.base.PageReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author Eurus
 * @date 2021/6/1 10:07
 * @Description: 分页查询关联的码包列表(重新提交申请单审核页面) 入参
 */
@Data
@ApiModel
public class GetActiveModifyApplyReq extends PageReq implements Serializable {

    @NotNull(message = "码活动ID为空")
    @ApiModelProperty(value = "码活动id")
    private Long id;
}
