package com.abi.qms.platform.dto.req;

import com.abi.task.common.api.base.PageReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 码格式查询分页入参
 *
 * @author WeiganCai
 * @date: 2021-04-21
 */
@Data
@ApiModel
public class ListQrFormatReq extends PageReq implements Serializable {

	@ApiModelProperty("码格式名称")
	private String name;

	@ApiModelProperty("重复率状态 0-未验证 1-验证中  2-验证通过  3-验证不通过")
	private Integer uniqueStatus;

	@ApiModelProperty("使用状态 0-未使用 1-使用中  2-停用")
	private Integer useStatus;

}
