package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 码格式变量查询分页入参
 *
 * @author WeiganCai
 * @date: 2021-04-20
 */
@Data
@ApiModel
public class ListQrVariableReq implements Serializable {

    @ApiModelProperty("数据类型 0-纯数字 1-数字+字母")
    private Integer dataType;

    @ApiModelProperty("参数类型 0-时间参数 1-随机参数 2-流水号参数 3-固定值参数")
    private Integer paramType;

    @ApiModelProperty(value = "是否有效 0-无效 1-有效")
    private Integer valid;

}
