package com.abi.qms.platform.dto.req;

import com.abi.task.common.api.base.PageReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 查询角色列表入参
 */
@Data
@ApiModel
public class ListRoleReq extends PageReq implements Serializable {

  @ApiModelProperty(value = "角色name")
  private String roleName;

  @ApiModelProperty(value = "是否启用")
  private Integer isEnable;

}
