package com.abi.qms.platform.dto.req;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 查询SAP包材场列表入参
 */
@Data
@Schema
public class ListSapCoverFactoryReq implements Serializable {

    @Schema(name = "sap供应商id")
    private String sapCoverFactoryId;

}
