package com.abi.qms.platform.dto.req;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 查询SAP物料列表入参
 */
@Data
@Schema
public class ListSapMaterialReq implements Serializable {

    @Schema(name = "sap物料id")
    private String sapMaterialId;

}
