package com.abi.qms.platform.dto.req;

import com.abi.task.common.api.base.PageReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 查询用户列表入参
 */
@Data
@ApiModel
public class ListUserReq extends PageReq implements Serializable {

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "工号")
    private String employeeNo;

    @ApiModelProperty(value = "角色code")
    private String roleCode;

    @ApiModelProperty(value = "是否启用(状态)")
    private Integer isEnable;

    @ApiModelProperty(value = "数据链标记")
    private String linkFlag;
}
