package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author: KaixiangGuo
 * @date: 2021/05/28 11:31
 * @description: 单码查询激活信息入参
 */
@Data
@ApiModel
public class QrOneBoxCodeMappingReq implements Serializable {

    @ApiModelProperty(value = "码包id")
    private Long packageId;

    @ApiModelProperty(value = "码序号")
    private Long qrIndex;

}
