package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author lu
 * @date 2021年06月09日 14:40
 */
@Data
@ApiModel
public class QueryListBreweryProductionLineReq implements Serializable {

    @NotNull(message = "用户ID为空")
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @NotNull(message = "啤酒厂ID为空")
    @ApiModelProperty(value = "啤酒厂ID")
    private Long beerFactoryId;

}
