package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author: fangxinjian
 * @date: 2021/06/09 16:23
 * @description: 码包补充激活入参
 */
@Data
@ApiModel
public class ReplenishActivationReq implements Serializable {

    @NotNull(message = "条码序号为空")
    @ApiModelProperty(value = "条码序号")
    private String boxCode;

    @ApiModelProperty(value = "激活原因")
    private String reason;

}
