package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;

/**
 * @author Eurus
 * @date 2021/4/21 10:29
 * @Description: Token校验入参
 */
@Data
@ApiModel
public class TokenReq implements Serializable {

    @NotEmpty(message = "token不能为空")
    @ApiModelProperty("token")
    private String token;

}
