package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 修改登录用户邮箱入参
 */
@Data
@Schema
public class UpdateLoginUserEmailReq implements Serializable {

    @ApiModelProperty(value = "邮箱")
    private String email;

}
