package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author: fangxinjian
 * @date: 2021/06/10 11:31
 * @description: 激活详情出参
 */
@Data
@ApiModel
public class ActivateDetailRes implements Serializable {

    @ApiModelProperty(value = "条码序号")
    private String boxCode;

    @ApiModelProperty(value = "活动名称")
    private String activeName;

    @ApiModelProperty(value = "物料名称")
    private String materialName;

    @ApiModelProperty(value = "盖码数量")
    private Integer capNum;

    @ApiModelProperty(value = "激活状态 0-未激活 1-已激活")
    private Integer activeStatus;
}
