package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 查询单个用户信息出参
 */
@Data
@ApiModel
public class GetUserInfoRes implements Serializable {

  @ApiModelProperty(value = "用户id")
  private Long id;

  @ApiModelProperty(value = "用户名")
  private String userName;

  @ApiModelProperty(value = "工号")
  private String employeeNo;

  @ApiModelProperty(value = "手机号")
  private String phone;

  @ApiModelProperty(value = "邮箱")
  private String email;

  @ApiModelProperty(value = "登录姓名")
  private String loginName;

  @ApiModelProperty(value = "是否ABI")
  private Integer isAbi;

  @ApiModelProperty(value = "供应商id")
  private Long factoryId;

  @ApiModelProperty(value = "角色code")
  private String roleCode;

  @ApiModelProperty(value = "数据链标记")
  private String linkFlag;

}
