package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**(603版 品牌使用码量占比列表 已废弃)
 * @author ludashi
 * @date 2021年06月02日 16:26
 */
@Data
@ApiModel
public class ListBrandCodeReportRes implements Serializable {

    @ApiModelProperty("品牌使用码量占比列表")
    private List<BrandCodeReportBean> reportBrandCodeResList;

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListBrandCodeReportRes_BrandCodeReportBean")
    public static class BrandCodeReportBean implements Serializable {

        @ApiModelProperty("品牌名称")
        private String brandName;

        @ApiModelProperty("码数量")
        private Long qrNumber;

        @ApiModelProperty("占总数百分比")
        private String percent;
    }
}
