package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author: fangxinjian
 * @date: 2021/05/25 11:26
 * @description: 包材厂数据出参
 */
@Data
@ApiModel
public class ListCoverFactorySelectRes implements Serializable {

    @ApiModelProperty("包材厂列表")
    private List<CoverFactoryBean> factoryBeanList;

    /**
     * 包材厂bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListCoverFactorySelectRes_CoverFactoryBean")
    public static class CoverFactoryBean implements Serializable {

        @ApiModelProperty(value = "id")
        private Long id;

        @ApiModelProperty(value = "供应商名称")
        private String factoryName;
    }
}
