package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author Eurus
 * @date 2021/5/12 19:41
 * @Description: 启用中的部门列表出参
 */
@Data
@ApiModel
public class ListDeptEnableRes implements Serializable {

    @ApiModelProperty("部门bean列表")
    private List<DeptBean> deptBeanList;

    /**
     * 部门bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListDeptEnableRes_DeptBean")
    public static class DeptBean implements Serializable {

        @ApiModelProperty(value = "id")
        private Long id;

        @ApiModelProperty(value = "部门code")
        private String deptCode;

        @ApiModelProperty(value = "部门名称")
        private String deptName;
    }
}
