package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author Eurus
 * @date 2021/5/17 18:58
 * @Description: 包材厂下拉列表出参
 */
@Data
@ApiModel
public class ListFactorySelectRes implements Serializable {

    @ApiModelProperty("包材厂列表")
    private List<FactoryBean> factoryBeanList;


    /**
     * 供应商bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListPackageFactorySelectRes_FactoryBean")
    public static class FactoryBean implements Serializable {

        @ApiModelProperty(value = "id")
        private Long id;

        @ApiModelProperty(value = "供应商code")
        private String factoryCode;

        @ApiModelProperty(value = "供应商名称")
        private String factoryName;
    }
}
