package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author: fangxinjian
 * @date: 2021/05/26 15:21
 * @description: 码格式下拉列表出参
 */
@Data
@ApiModel
public class ListFormatSelectRes implements Serializable {

    @ApiModelProperty("码格式下拉列表")
    private List<FormatBean> formatBeanList;

    /**
     *
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListFormatSelectRes_FormatBean")
    public static class FormatBean implements Serializable {

        @ApiModelProperty("码格式id")
        private Long id;

        @ApiModelProperty("码格式名称")
        private String name;
    }

}
