package com.abi.qms.platform.dto.res;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author: fangxinjian
 * @date: 2021/05/25 13:49
 * @description: 码库下来列表出参
 */
@Data
@ApiModel
public class ListQrRepertorySelectRes implements Serializable {

    @ApiModelProperty("码库下拉列表")
    private List<QrRepertoryBean> qrRepertoryBeanList;

    /**
     * 码库bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListQrRepertorySelectRes_QrRepertoryBean")
    public static class QrRepertoryBean implements Serializable {

        @ApiModelProperty("码库id")
        private Long id;

        @ApiModelProperty("码库名称")
        private String name;

    }
}
