package com.abi.qms.platform.dto.res;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 查询SAP订单列表出参
 */
@Data
@Schema
public class ListSapCodePackageOrderRes implements Serializable {

    @Schema(name = "sap订单")
    List<SapOrderBean> sapOrderBeanList;

    /**
    * sap订单
    */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @Schema(name = "ListSapCodePackageOrderRes_sap订单")
    public static class SapOrderBean implements Serializable {

        @Schema(name = "sap订单号")
        private String sapOrderNo;

    }
}
