package com.abi.qms.platform.dto.res;

import com.abi.task.common.api.base.PageResp;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 分页查询商品出参
 * 603版 已作废
 */
@Data
@Schema
public class ListSkuRes extends PageResp implements Serializable {

    /*@Schema(name = "商品列表")
    private List<SkuBean> skuBeanList;

    *//**
     * 商品bean
     *//*
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListSkuRes_Sku")
    public static class SkuBean implements Serializable {

        @Schema(name = "id")
        private Long id;

        @Schema(name = "商品编号（即页面上手输的skuid）")
        private String skuCode;

        @Schema(name = "sku名称")
        private String skuName;

        @Schema(name = "是否有效 0-无效 1-有效")
        private Integer valid;

        @Schema(name = "品牌名称")
        private String brandName;

        @Schema(name = "子品牌名称")
        private String subBrandName;

        @Schema(name = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @Schema(name = "修改时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;

    }*/
}
