package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 登录出参
 */
@Data
@ApiModel
@Builder
public class LoginRes implements Serializable {

  @ApiModelProperty("token")
  private String token;

  @ApiModelProperty("id")
  private Long id;

  @ApiModelProperty(value = "用户名")
  private String userName;

  @ApiModelProperty("角色code")
  private String roleCode;

  @ApiModelProperty("包材厂id")
  private Long factoryId;

}
