package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 预览码格式变量出参
 *
 * @author WeiganCai
 * @date: 2021-04-20
 */
@Data
@ApiModel
public class PreviewQrVariableRes implements Serializable {

  @ApiModelProperty(value = "生成的码")
  private String code;

  @ApiModelProperty("位数")
  private Integer digit;

  @ApiModelProperty(value = "理论不重复数量")
  private Long maxCount;

}
