package com.abi.qms.platform.feign;


import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.multipart.MultipartFile;

@FeignClient(name="basic-service", url="${basic-service.url}",
        fallbackFactory = BaseServiceFallback.class)
public interface BasicServiceClient {

    @PostMapping(value = "file-upload-oss",consumes = MediaType.MULTIPART_FORM_DATA_VALUE)
    Object uploadFileOss(@RequestPart("uploadFile") MultipartFile uploadFile);

}

