package com.abi.qms.platform.infrastructure.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.concurrent.*;

/**
 * 线程池配置
 *
 * @author WeiganCai
 * @date: 2021-04-21
 */
@Configuration
public class ThreadPoolConfig {

	@Bean
	public ExecutorService init() {
		return new ThreadPoolExecutor(4, 4,
				0L, TimeUnit.MILLISECONDS,
				new LinkedBlockingQueue<Runnable>());
	}
}
