package com.abi.qms.platform.infrastructure.qr.build.children;

import com.abi.qms.platform.infrastructure.qr.build.parent.TimeBuildCode;

import java.util.Calendar;
import java.util.Map;

/**
 * 当前日
 *
 * @author WeiganCai
 * @date: 2021-04-19
 */
public class MD2BuildCode extends TimeBuildCode {

    @Override
    public String buildCode(Map<String, Object> paramMap) {
        int dayOfMonth = getCalendar().get(Calendar.DAY_OF_MONTH);
        // 不足2位补0
        return String.format("%02d", dayOfMonth);
    }

}
