package com.abi.qms.platform.infrastructure.qr.build.children;

import com.abi.qms.platform.infrastructure.qr.build.parent.TimeBuildCode;

import java.util.Calendar;
import java.util.Map;

/**
 * 3位毫秒
 *
 * @author WeiganCai
 * @date: 2021-04-19
 */
public class MSBuildCode extends TimeBuildCode {

    @Override
    public String buildCode(Map<String, Object> paramMap) {
        int milliSecond = getCalendar().get(Calendar.MILLISECOND);
        // 不足3位补0
        return String.format("%03d", milliSecond);
    }

}
