package com.abi.qms.platform.infrastructure.qr.build.children;

import com.abi.qms.platform.infrastructure.qr.build.parent.TimeBuildCode;

import java.util.Map;

/**
 * 转换成Unix时间戳
 *
 * @author WeiganCai
 * @date: 2021-04-19
 */
public class UnixTimeBuildCode extends TimeBuildCode {

    @Override
    public String buildCode(Map<String, Object> paramMap) {
        long millis = System.currentTimeMillis() / 1000;
        // 不足12位补0
        return String.format("%012d", millis);
    }

    @Override
    public long getMaxCount(Map<String, Object> paramMap) {
        return 253402271999L - Long.parseLong(buildCode(paramMap));
    }

}
