package com.abi.qms.platform.infrastructure.qr.build.children;

import com.abi.qms.platform.infrastructure.qr.build.parent.TimeBuildCode;

import java.util.Calendar;
import java.util.Map;

/**
 * 当前年份
 *
 * @author WeiganCai
 * @date: 2021-04-19
 */
public class Y4BuildCode extends TimeBuildCode {

    @Override
    public String buildCode(Map<String, Object> paramMap) {
        return String.valueOf(getCalendar().get(Calendar.YEAR));
    }

    @Override
    public long getMaxCount(Map<String, Object> paramMap) {
        return 9999 - Long.parseLong(buildCode(paramMap)) + 1;
    }

}
