package com.abi.qms.platform.infrastructure.qr.build.children;


import com.abi.qms.platform.infrastructure.qr.build.parent.TimeBuildCode;

import java.util.Calendar;
import java.util.Map;

/**
 * 当前按年所在第【几】周
 *
 * @author WeiganCai
 * @date: 2021-04-19
 */
public class YW2BuildCode extends TimeBuildCode {

    @Override
    public String buildCode(Map<String, Object> paramMap) {
        Calendar calendar = getCalendar();
        calendar.setFirstDayOfWeek(Calendar.MONDAY);
        int weekOfYear = calendar.get(Calendar.WEEK_OF_YEAR);
        // 不足2位补0
        return String.format("%02d", weekOfYear);
    }

}
