package com.abi.qms.platform.infrastructure.util;

import cn.hutool.crypto.SecureUtil;
import cn.hutool.crypto.symmetric.AES;
import com.sun.org.apache.xerces.internal.impl.dv.util.Base64;

/**
 * 对称加密工具类
 */
public class AesEncodeUtil {

    /**
     * 加密
     * @param content
     * @param key
     * @return
     */
    public static String aesEncode(String content,String key){
        byte[] keyByte = Base64.decode(key);
        AES aes = SecureUtil.aes(keyByte);
        //加密
        byte[] encryptData = aes.encrypt(content);
        String encodeContent = Base64.encode(encryptData);
        return encodeContent;
    }

    /**
     * 解密
     * @param encodeContent
     * @param key
     * @return
     */
    public static String aesDecode(String encodeContent,String key){
        byte[] dataBase64 = Base64.decode(encodeContent);
        byte[] keyBase64 = Base64.decode(key);
        AES aes = SecureUtil.aes(keyBase64);
        byte[] decrypt = aes.decrypt(dataBase64);
        return new String(decrypt);
    }


}
