package com.abi.qms.platform.service;

import com.abi.qms.platform.dto.req.BatchImportSapBeerFactoryReq;

/**
 * @author: fangxinjian
 * @date: 2021/06/04 17:14
 * @description:
 */
public interface BaseSapBeerFactoryService {

    /**
     * 批量导入Sap啤酒厂数据
     *
     * @param batchImportSapBeerFactoryReq
     */
    void batchImportSapBeerFactory(BatchImportSapBeerFactoryReq batchImportSapBeerFactoryReq);

    /**
     * 批量修改Sap啤酒厂数据
     *
     * @param batchImportSapBeerFactoryReq
     */
    void batchUpdateSapBeerFactory(BatchImportSapBeerFactoryReq batchImportSapBeerFactoryReq);
}