package com.abi.qms.platform.service;

import com.abi.qms.platform.dto.req.BatchImportCoverFactoryReq;

/**
 * @author: fangxinjian
 * @date: 2021/06/04 15:23
 * @description:
 */
public interface BaseSapCoverFactoryService {

    /**
     * 批量导入sap供应商数据
     *
     * @param batchImportCoverFactoryReq
     */
    void batchImportCoverFactory(BatchImportCoverFactoryReq batchImportCoverFactoryReq);

    /**
     * 批量修改sap供应商数据
     *
     * @param batchImportCoverFactoryReq
     */
    void batchUpdateCoverFactory(BatchImportCoverFactoryReq batchImportCoverFactoryReq);
}
