package com.abi.qms.platform.service;

import com.abi.qms.platform.dto.req.DeleteBreweryProductionLineReq;
import com.abi.qms.platform.dto.req.QueryListBreweryProductionLineReq;
import com.abi.qms.platform.dto.req.SaveBreweryProductionLineReq;
import com.abi.qms.platform.dto.res.QueryListBreweryProductionLineRes;

/**
 * @author lu
 * @date 2021年06月09日 14:04
 */
public interface BreweryProductionLineService {

    /**
     * 新增接口
     * @author lu
     * @date 2021/6/9 14:37
     * @param saveBreweryProductionLineReq
     */
    void saveBreweryProductionLine(SaveBreweryProductionLineReq saveBreweryProductionLineReq);

    /**
     * 删除接口
     * @author lu
     * @date 2021/6/9 14:38
     * @param req
     */
    void deleteBreweryProductionLine(DeleteBreweryProductionLineReq req);

    /**
     * 查询当前登陆人的产线列表
     * @author lu
     * @date 2021/6/9 14:52
     * @param req
     * @return com.abi.qms.platform.dto.res.QueryListBreweryProductionLineRes
     */
    QueryListBreweryProductionLineRes queryListBreweryProductionLine(QueryListBreweryProductionLineReq req);
}
