package com.abi.qms.platform.service;

import com.abi.qms.platform.dto.req.BatchImportPackageSapOrderItemReq;

/**
 * @author: fangxinjian
 * @date: 2021/06/07 09:29
 * @description:
 */
public interface QrPackageSapOrderItemService {

    /**
     * 批量导入sap物料订单明细数据
     *
     * @param batchImportPackageSapOrderItemReq
     */
    void batchImportPackageSapOrderItem(BatchImportPackageSapOrderItemReq batchImportPackageSapOrderItemReq);

    /**
     * 批量修改sap物料订单明细数据
     *
     * @param batchImportPackageSapOrderItemReq
     */
    void batchUpdatePackageSapOrderItem(BatchImportPackageSapOrderItemReq batchImportPackageSapOrderItemReq);
}