package com.abi.qms.platform.service;


import com.abi.qms.platform.dto.req.*;
import com.abi.qms.platform.dto.res.ExcelImportRes;
import com.abi.qms.platform.dto.res.GetSkuRes;
import com.abi.qms.platform.dto.res.ListSkuForSelectRes;
import com.abi.qms.platform.dto.res.ListSkuRes;
import com.abi.task.common.excel.preperties.SkuProperty;

import java.util.List;

/**
 * <p>
 * 商品管理
 * </p>
 * 603版 已作废
 * @author Andy.Tan
 */
public interface SkuService{


    /**
     * 新增商品
     * @param addSkuReq
     * @throws Exception
     */
    //void addSku(AddSkuReq addSkuReq);

    /**
     * 编辑商品
     * @param updateSkuReq
     */
    //void updateSku(UpdateSkuReq updateSkuReq);

    /**
     * 分页查询商品
     * @param listSkuReq
     * @return
     */
    //ListSkuRes listSku(ListSkuReq listSkuReq);

    /**
     * 查询商品明细
     * @param getSkuReq
     * @return
     */
    //GetSkuRes getSku(GetSkuReq getSkuReq);

    /**
     * 商品启用
     * @param enableSkuReq
     */
    //void enableSku(EnableSkuReq enableSkuReq);

    /**
     * 商品禁用
     * @param disableSkuReq
     */
    //void disableSku(DisableSkuReq disableSkuReq);


    /**
     * 其他页面下拉选择SKU
     * @param listSkuForSelectReq
     * @return
     * @throws Exception
     */
    //ListSkuForSelectRes listSkuForSelect(ListSkuForSelectReq listSkuForSelectReq) throws Exception;

    /**
     * 批量导入SKU
     * @param skuPropertyList
     * @return
     * @throws Exception
     */
    //ExcelImportRes skulExcelImport(List<SkuProperty> skuPropertyList) throws Exception;

}
