package com.abi.qms.platform.service.impl;

import com.abi.qms.platform.dao.entity.QrPackageDownloadRecord;
import com.abi.qms.platform.dao.mapper.QrPackageDownloadRecordMapper;
import com.abi.qms.platform.service.QrPackageDownloadRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *  码包下载记录Service业务层处理
 *
 * @author WeiganCai
 * @date 2021-05-12
 */
@Service
public class QrPackageDownloadRecordServiceImpl implements QrPackageDownloadRecordService {

    @Autowired
    private QrPackageDownloadRecordMapper qrPackageDownloadRecordMapper;

    /**
     * 插入码包下载记录
     */
    @Override
    public void insertQrPackageDownloadRecord(QrPackageDownloadRecord QrPackageDownloadRecord) {
        qrPackageDownloadRecordMapper.insert(QrPackageDownloadRecord);
    }
}
