package com.abi.qms.platform;

import com.abi.qms.platform.dto.req.AssociateSapOrderReq;
import com.abi.qms.platform.dto.req.QueryOrderFormLimitReq;
import com.abi.qms.platform.dto.res.QueryOrderFormDetailRes;
import com.abi.qms.platform.dto.res.QueryOrderFormLimitRes;
import com.abi.qms.platform.dto.res.ReservationOrderQueryRes;
import com.abi.qms.platform.infrastructure.frontend.AutoApiUtil;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.lang.reflect.Field;
import java.time.LocalDateTime;
import java.util.HashMap;
import java.util.Map;

@SpringBootTest
@Slf4j
public class ReactBeanTest {

    @Autowired
    private AutoApiUtil autoApiUtil;

    @Test
    public void testAutoApi() throws Exception {
        String apiString = autoApiUtil.generateOneController("码活动管理");
        System.out.println(apiString);
    }


//    public static void main(String[] args) {
//        Class clz = ReservationOrderQueryRes.ReservationOrderQueryBean.class;
//
//        Map<Class,String> classMap = new HashMap<>();
//        classMap.put(String.class,"string");
//        classMap.put(LocalDateTime.class,"string");
//        classMap.put(Long.class,"string");
//        classMap.put(Integer.class,"number");
//
//        StringBuffer sb = new StringBuffer();
//
//        Field[] declaredFields = clz.getDeclaredFields();
//        for(Field field:declaredFields){
//            ApiModelProperty apiModelProperty = field.getAnnotation(ApiModelProperty.class);
//            String desc = apiModelProperty==null?"":apiModelProperty.value();
//            if(StringUtils.isBlank(desc)){
//                Schema schema = field.getAnnotation(Schema.class);
//                desc = schema==null?"":schema.name();
//            }
//
//            sb.append(String.format("// %s\n",desc));
//            sb.append(String.format("%s: %s;\n",field.getName(),classMap.get(field.getType())));
//        }
//        System.out.println(sb.toString());
//    }


}
